import type { Primitive } from '../../core';
import type { ComboboxData, ComboboxGenericData, ComboboxItem, ComboboxParsedItem, ComboboxParsedItemGroup } from './Combobox.types';
export declare function getParsedComboboxData<Value extends Primitive = string>(data?: ComboboxData<Value> | ComboboxGenericData<Value>): ComboboxParsedItem<Value>[];
export declare function isOptionsGroup<Value extends Primitive>(item: ComboboxParsedItem<Value>): item is ComboboxParsedItemGroup<Value>;
export declare function getOptionsLockup<Value extends Primitive = string>(options: ComboboxParsedItem<Value>[]): Record<PropertyKey, ComboboxItem<Value>>;
export declare function defaultOptionsFilter<Value extends Primitive>({ options, search, limit, }: {
    options: ComboboxParsedItem<Value>[];
    search: string;
    limit: number;
}): ComboboxParsedItem<Value>[];
export declare function isEmptyComboboxData(data: ComboboxParsedItem<any>[]): boolean;
export declare function validateOptions(options: ComboboxParsedItem<any>[], values?: Set<Primitive>): void;
export type PillReorderPosition = 'before' | 'after';
export declare function movePill<T>(value: T[], from: number, to: number, position: PillReorderPosition): T[];
